Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047807
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[POS2] POSmajoralways2021-10-01 17:002021-10-15 04:10
Reportertimothee_catteeuwView Statuspublic 
Assigned Toprakashmurugesan88 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget VersionTAP
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047807: JIRA 2364 - Right & Role - Delete current ticket VS Close old ticket

DescriptionThe same user action is used for 2 actions :
- close ticket
- delete ticket
User action is DeleteTicket
Steps To Reproduce1) Go to BO --> https://livebuilds.openbravo.com/retail_pos2_tap_pgsql/ [^]
2) Open role Menu
3) select Role "Vall Blanca user"
4) Go to User Action access Tab
5) Open DeleteTicket User action
6) change the field Approval to approval required
7) GO to https://livebuilds.openbravo.com/retail_pos2_tap_pgsql/web/pos/?terminal=VBS-2 [^]
8) refresh data
9) Start a new ticket and add several items
10) Try to delete ticket by pressing "delete Order" button
--> approval is required --> OK
11) Open a old ticket in orders menu (ex : VBS1/0000073)
12) Try to close ticket by pressing "Close Order" button
--> approval is also required --> KO it is not the same action
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0047797TAP closedprakashmurugesan88 JIRA 2364 - Right & Role - Delete current ticket VS Close old ticket 

-  Notes
(0132322)
prakashmurugesan88 (developer)
2021-10-13 16:00

Created following Merge Request,
https://gitlab.com/obcustomers/AGAP/org.openbravo.pos2/-/merge_requests/119 [^]

https://gitlab.com/obcustomers/AGAP/org.openbravo.retail.posterminal/-/merge_requests/11 [^]
(0132355)
prakashmurugesan88 (developer)
2021-10-15 04:09

Fixed in following commits,
https://gitlab.com/obcustomers/AGAP/org.openbravo.pos2/-/commit/6d08332ac6dbf9a0f88e05e592599f8c853ecf46 [^]
https://gitlab.com/obcustomers/AGAP/org.openbravo.retail.posterminal/-/commit/f3097b81c14f8c2121232adf6967df53a32e15c1 [^]

- Issue History
Date Modified Username Field Change
2021-10-04 17:00 guilleaer Type defect => backport
2021-10-13 16:00 prakashmurugesan88 Note Added: 0132322
2021-10-15 04:09 prakashmurugesan88 Note Added: 0132355
2021-10-15 04:09 prakashmurugesan88 Status scheduled => resolved
2021-10-15 04:09 prakashmurugesan88 Resolution open => fixed
2021-10-15 04:10 prakashmurugesan88 Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker